Skip to content
payrocdevelopers

List payments

Browse API reference

GET/paymentslistPayments

Use this method to return a paginated list of payments.

Note: If you want to view the details of a specific payment and you have its paymentId, use our Retrieve Payment method.

Use query parameters to filter the list of results that we return, for example, to search for payments for a customer, a tip mode, or a date range.

Our gateway returns the following information about each payment in the list:

  • Order details, including the transaction amount and when it was processed.
  • Payment card details, including the masked card number, expiry date, and payment method.
  • Cardholder details, including their contact information and shipping address.
  • Payment details, including the payment type, status, and response.

For each transaction, we also return the paymentId and an optional secureTokenId, which you can use to perform follow-on actions.

Parameters

NameInTypeDescription
processingTerminalIdquerystring

Filter by terminal ID.

orderIdquerystring

Filter payments by order ID.

operatorquerystring

Filter payments by operator.

cardholderNamequerystring

Filter payments by the cardholder’s name.

first6querystring

Filter payments by the first six digits of the card number that the customer used in the transaction.

last4querystring

Filter payments by the last four digits of the card number that the customer used in the transaction.

tenderquerystring

Filter by tender type.

tipModequeryarray

Filter payments by tip.

typequeryarray

Filter payments by transaction type.

statusqueryarray

Filter payments by the status of the transaction.

dateFromquerystring

Filter by payments that the processor processed after a specific date. The date format follows the ISO 8601 standard.

dateToquerystring

Filter by payments that the processer processed before a specific date. The date format follows the ISO 8601 standard.

settlementStatequerystring

Filter payments by the settlement status of the transaction.

settlementDatequerystring

Filter by payments that the processor settled on a specific date in the format YYYY-MM-DD.

paymentLinkIdquerystring

Unique identifier that our gateway assigned to the payment link.

beforequerystring

Return the previous page of results before the value that you specify.

You can’t send the before parameter in the same request as the after parameter.

afterquerystring

Return the next page of results after the value that you specify.

You can’t send the after parameter in the same request as the before parameter.

limitqueryinteger

Limit the maximum number of results that we return for each page.

Responses

Successful request. Returns a list of payments.

200 OK · application/json
{
  "count": 0,
  "data": [],
  "hasMore": false,
  "limit": 10,
  "links": []
}
Response schema · 65 of 168 fields
  • countintegerrequired
    Number of results we returned on this page. Note: This might not be the total number of results that match your query.
  • hasMorebooleanrequired
    Indicates whether there is another page of results available.
  • limitintegerrequired
    Maximum number of results that we return for each page.
  • linksobject[]
    Reference links to navigate to the previous page of results or to the next page of results.
    • hrefstringrequired
      URL of the target resource.
    • methodstringrequired
      HTTP method that you need to use with the target resource.
    • relstringrequired
      Indicates the relationship between the current resource and the target resource.
  • dataobject[]required
    Array of transactions.
    • cardobjectrequired
      Object that contains the details of the payment card.
      • balancesobject[]
        Array of cardBalance objects. Our gateway returns this array only when the customer uses an Electronic Benefit Transfer (EBT) card.+3 more fields at deeper levels — see the full spec
      • cardNumberstringrequired
        Masked card number. Our gateway shows only the first six digits and the last four digits of the card number, for example, 500165******0000.12–19 chars
      • cardholderNamestring
        Cardholder’s name.1–50 chars
      • cardholderSignaturestring
        Cardholder’s signature.
      • emvTagsobject[]
        Array of emvTag objects.+2 more fields at deeper levels — see the full spec
      • entryMethodstring
        Method that the device used to capture the card details.icckeyedswipedswipedFallbackcontactlessIcccontactlessMsr
      • expiryDatestringrequired
        Expiry date of the customer's card. The format is in MMYY.[0-9]{4}
      • secureTokenobject
        Object that contains information about the secure token.+8 more fields at deeper levels — see the full spec
      • securityChecksobject
        Object that contains information about card verification and security checks.+2 more fields at deeper levels — see the full spec
      • typestringrequired
        Card brand that the card is linked to. For example, Visa.
    • customFieldsobject[]
      Array of customField objects.
      • namestringrequired
        Name of the custom field.1–56 chars
      • valuestringrequired
        Value for the custom field.1–100 chars
    • customerobject
      Object that contains the customer's contact details and address information.
      • billingAddressobject
        Object that contains information about the address.+7 more fields at deeper levels — see the full spec
      • contactMethodsobject[]
        Array of polymorphic objects, which contain contact information. The value of the type parameter determines which variant you should use: email Email address phone Phone number mobile Mobile number fax Fax number+12 more fields at deeper levels — see the full spec
      • dateOfBirthstringdate
        Customer's date of birth. The format for this value is YYYY-MM-DD.
      • firstNamestring
        Customer's first name.0–60 chars
      • lastNamestring
        Customer's last name.0–60 chars
      • notificationLanguagestringiso-639-1
        Language that the customer uses for notifications. This code follows the ISO 639-1 alpha-2 standard.2–2 charsenfr
      • referenceNumberstring
        Identifier of the transaction, also known as a customer code. For requests, you must send a value for referenceNumber if the customer provides one.0–48 chars
      • shippingAddressobject
        Object that contains information about the customer and their shipping address.+9 more fields at deeper levels — see the full spec
    • operatorstring
      Operator who initiated the request.0–50 chars
    • orderobjectrequired
      Object that contains information about the payment.
      • breakdownobject
        Object that contains information about the breakdown of the transaction. Contains parameters required for Level 2, Level 3, and CEDP transactions.+41 more fields at deeper levels — see the full spec
      • amountintegerint64required
        Total amount of the transaction. The value is in the currency’s lowest denomination, for example, cents.
      • currencystringrequired
        Currency of the transaction. The value for the currency follows the ISO 4217 standard.AEDAFNALLAMDANGAOAARSAUD+163 more
      • dateTimestringdate-time
        Date and time that the processor processed the transaction. Our gateway returns this value in the ISO 8601 format.
      • descriptionstring
        Description of the transaction.0–1024 chars
      • orderIdstringrequired
        Unique identifier that the merchant assigns to the transaction.1–24 chars
      • dccOfferobject
        Object that contains information about the dynamic currency conversion (DCC) offer. For more information about DCC, go to Dynamic Currency Conversion.+11 more fields at deeper levels — see the full spec
      • standingInstructionsobject
        Object that contains information about repeat payments. Include this object if the payment is part of a recurring billing schedule and you don't use our subscriptions feature.+5 more fields at deeper levels — see the full spec
    • paymentIdstringrequired
      Unique identifier that our gateway assigned to the transaction.10–10 chars
    • processingTerminalIdstringrequired
      Unique identifier of the terminal that initiated the transaction.4–50 chars
    • refundsobject[]
      Array of refundSummary objects. Each object contains information about refunds linked to the transaction.
      • amountintegerint64required
        Amount of the refund. This value is in the currency’s lowest denomination, for example, cents.
      • currencystringrequired
        Currency of the transaction. The value for the currency follows the ISO 4217 standard.AEDAFNALLAMDANGAOAARSAUD+163 more
      • dateTimestringdate-timerequired
        Date and time that the refund was processed.
      • linkobject
        Object that contains HATEOAS links for the resource.+3 more fields at deeper levels — see the full spec
      • refundIdstringrequired
        Unique identifier of the refund.10–10 chars
      • responseCodestringrequired
        Response from the processor. A The processor approved the transaction. D The processor declined the transaction. E The processor received the transaction but will process the transaction later. P The processor authorized a portion of the original amount of the transaction. R The issuer declined the transaction and indicated that the customer should contact their bank. C The issuer declined the transaction and indicated that the merchant should keep the card as it was reported lost or stolen.ADEPRC
      • responseMessagestringrequired
        Description of the response from the processor.1–48 chars
      • statusstringrequired
        Current status of the refund.readypendingdeclinedcompletereferralpickupreversalreturned+3 more
    • supportedOperationsstring[]
      Array of operations that you can perform on the transaction. Our gateway can return any of the following values: capture Capture the payment. refund Refund the payment. fullyReverse Fully reverse the transaction. partiallyReverse Partially reverse the payment. incrementAuthorization Increase the amount of the authorization. adjustTip Adjust the tip post-payment. addSignature Add a signature to the payment. setAsReady Set the transaction’s status to `ready`. setAsPending Set the transaction’s status to `pending`.
    • transactionResultobjectrequired
      Object that contains information about the transaction response details.
      • approvalCodestring
        Authorization code that the processor assigned to the transaction.1–48 chars
      • authorizedAmountintegerint64
        Amount that the processor authorized for the transaction. This value is in the currency’s lowest denomination, for example, cents. Notes: For partial authorizations, this amount is lower than the amount in the request. If the value for authorizedAmount is negative, this indicates that the merchant sent funds to the customer.
      • cardSchemeReferenceIdstring
        Identifier that the card brand assigns to the payment instruction.1–64 chars
      • currencystring
        Currency of the transaction. The value for the currency follows the ISO 4217 standard.AEDAFNALLAMDANGAOAARSAUD+163 more
      • ebtTypestring
        Indicates the subtype of EBT in the transaction.cashPurchasecashPurchaseWithCashbackfoodStampPurchasefoodStampVoucherPurchasefoodStampReturnfoodStampVoucherReturncashBalanceInquiryfoodStampBalanceInquiry+1 more
      • healthcareIndicatorstring
        Indicates if we processed the payment as a healthcare expense. The value is one of the following: Y We processed the payment as a healthcare expense. N We processed the payment but it didn't contain any healthcare expenses. C We processed the payment but the card isn't linked to a Flexible Spending Account (FSA) or a Health Savings Account (HSA). R We processed the payment but the card doesn't support healthcare expenses.YNCR
      • processorResponseCodestring
        Original response code that the processor sent.
      • responseCodestringrequired
        Response from the processor. A The processor approved the transaction. D The processor declined the transaction. E The processor received the transaction but will process the transaction later. P The processor authorized a portion of the original amount of the transaction. R The issuer declined the transaction and indicated that the customer should contact their bank. C The issuer declined the transaction and indicated that the merchant should keep the card as it was reported lost or stolen.ADEPRC
      • responseMessagestring
        Response description from the processor.1–48 chars
      • statusstringrequired
        Status of the transaction. The value is one of the following: ready Successful transaction. We added the payment to the open batch. pending Successful transaction. We added the payment to the open batch, but we don't collect the funds until the merchant captures the transaction. declined Unsuccessful transaction. The cardholder's issuing bank declined the transaction. complete Successful transaction. The funds have moved to the merchant's bank account. referral Unsuccessful transaction. The issuing bank identified an issue with the transaction. You should treat a referral status as a declined transaction. pickup Unsuccessful transaction. The issuing bank has reported that the card is lost or stolen. reversal Transaction canceled. The transaction was canceled, and we removed the transaction from the open batch. admin Transaction under review. We have flagged an issue with the transaction. expired Transaction expired. If a transaction stays in pending status for too long, it expires. accepted Transaction in progress. The transaction is in progress with the processor but we can't confirm the result yet.readypendingdeclinedcompletereferralpickupreversaladmin+2 more
      • typestring
        Transaction type.salerefundpreAuthorizationpreAuthorizationCompletion

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer